<?php
if (!isset($_SESSION['ID'])) {
} else {
	echo "<h2>Reihenfolge der Mitarbeiter auf der Teamseite</h2>\n";
	if ("hoch" == $_POST['action']) {
		$sqls1		= 'UPDATE Team SET AnzeigeNr = "'.$_POST['AnzeigeNr'].'" WHERE ID = "'.$_POST['vorige_ID'].'";';
		$stmts1		= $db->prepare($sqls1);
		if (!$stmts1) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts1->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts1->error);
		}
		$sqls2		= 'UPDATE Team SET AnzeigeNr = "'.$_POST['vorige_AnzeigeNr'].'" WHERE ID = "'.$_POST['ID'].'";';
		$stmts2		= $db->prepare($sqls2);
		if (!$stmts2) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts2->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts2->error);
		}
		
		echo "<p class=\"hinweis\">Reihenfolge wurde geändert!</p>\n";

	}
	$sql1		= "SELECT ID, Vorname, Nachname, Anzeige, AnzeigeNr FROM Team ORDER BY AnzeigeNr ASC";
	$result1	= $db->query($sql1);
	$sql2		= "SELECT COUNT(*) AS Anz FROM Team;";
	$result2	= $db->query($sql2);
	$nt2		= $result2->fetch_assoc();
	$i = 0;
	
	while ($nt1 = $result1->fetch_assoc()) {
		echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\" >\n";
		if (0 != $i) {
			echo "	<input type=\"image\" src=\"../img/hoch.png\" name=\"action\" value=\"hoch\" />\n";
			echo "	<input type=\"hidden\" name=\"vorige_ID\" value=\"".$alt_ID."\" />\n";
			echo "	<input type=\"hidden\" name=\"vorige_AnzeigeNr\" value=\"".$alt_AnzNr."\" />\n";
			echo "	<input type=\"hidden\" name=\"ID\" value=\"".$nt1['ID']."\" />\n";
			echo "	<input type=\"hidden\" name=\"AnzeigeNr\" value=\"".$nt1['AnzeigeNr']."\" />\n";
		}
		$i++;
		echo "	<label>".$i." ".$nt1['Vorname']." ".$nt1['Nachname']."<label>\n";
		echo "</form>\n";
		echo "<br style=\"clear:both;\" />\n";
		echo "<p>&nbsp;</p>\n";
		$alt_ID = $nt1['ID'];
		$alt_AnzNr = $nt1['AnzeigeNr'];
	}

}
?>